feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Constructs.Num

# Documentation

data NUM a where

Constructors

Abs :: (Type a, Num a, Num (Size a)) => NUM (a :-> Full a) |
Sign :: (Type a, Num a, Num (Size a)) => NUM (a :-> Full a) |
Add :: (Type a, Num a, Num (Size a)) => NUM (a :-> (a :-> Full a)) |
Sub :: (Type a, Num a, Num (Size a)) => NUM (a :-> (a :-> Full a)) |
Mul :: (Type a, Num a, Num (Size a)) => NUM (a :-> (a :-> Full a)) |

Instances

EvalBind NUM |
Semantic NUM |
Eval NUM |
Render NUM |
ToTree NUM |
Equality NUM |
Sharable NUM |
AlphaEq dom dom dom env => AlphaEq NUM NUM dom env |
SizeProp (:|| NUM Type) |
(:<: (:|| NUM Type) dom, :<: (:|| Literal Type) dom, OptimizeSuper dom) => Optimize (:|| NUM Type) dom |